RWS Logo
Show / Hide Table of Contents

Entitlements

Retrieve entitlements

Example Request:

curl "https://controller-host:8001/api/v2/entitlements" \
	-X GET \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "processingUnits": {
        "desired": [
            {
                "translationEngineId": "a1d8",
                "count": 3
            },
            {
                "translationEngineId": "onw8",
                "count": 2
            }
        ],
        "maximum": [
            {
                "translationEngineId": "a1d8",
                "count": 4
            },
            {
                "translationEngineId": "onw8",
                "count": 2
            }
        ],
        "filled": [
            {
                "translationEngineId": "a1d8",
                "count": 1
            },
            {
                "translationEngineId": "onw8",
                "count": 0
            }
        ],
        "total": 1
    }
}

Retrieve the current entitlements configuration.

HTTP Request

GET /api/v2/entitlements

Returns

Returns the entitlements configuration as an EntitlementsStatus object with the following attributes:

Name Type Description
processingUnits object Processing units configuration
→ desired array of objects List of desired assignments of processing units to translation engines
→ → translationEngineId string Identifier of translation engine
→ → count int Number of processing units desired to be assigned to the translation engine
→ maximum array of objects List of maximum assignments of processing units to translation engines
→ → translationEngineId string Identifier of translation engine
→ → count int Maximum number of processing units Language Weaver Edge may automatically assign to the translation engine as needed
→ filled array of objects List of processing units actually filled by translation engines
→ → translationEngineId string Identifier of translation engine
→ → count int Number of processing units actually filled by the translation engine
→ total int Total number of processing units available in license

Update entitlements

Example Request:

curl "https://controller-host:8001/api/v2/entitlements" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf: \
	-H "Content-Type: application/json" \
	-d '{"processingUnits":{"desired":[{"translationEngineId":"a1d8","count":3},{"translationEngineId":"onw8","count":2}],"maximum":[{"translationEngineId":"a1d8","count":4},{"translationEngineId":"onw8","count":2}]}}'

Change the entitlements configuration. This operation is asynchronous so the change should be made eventually.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/entitlements

Request Body

Entitlements to update, as an EntitlementsRequest object in JSON format, with the following attributes:

Name Type Description Default Value
processingUnits object Processing units configuration
→ desired array of objects List of desired assignments of processing units to translation engines
→ → translationEngineId string Identifier of translation engine
→ → count int Number of processing units desired to be assigned to the translation engine
→ maximum (optional) array of objects List of maximum assignments of processing units to translation engines
→ → translationEngineId (optional) string Identifier of translation engine
→ → count (optional) int Maximum number of processing units Language Weaver Edge may automatically assign to the translation engine as needed same as the value of desired count for the same translation engine ID

Update Language Weaver license file

Example Request:

curl "https://controller-host:8001/api/v2/entitlements/license" \
	-X PUT \
	-u u_jsmith@example.com_u0VmztKJrwqf: \
	--data-urlencode file="@filepath"

Example Response:

"OK"

Change the active Language Weaver Edge license file.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

PUT /api/v2/entitlements/license

Request Parameters

Name Type Description Default Value
file (optional) file New license file for Language Weaver Edge to use

Returns

Returns HTTP Status 200 (OK).

Download the entitlements profile

Example Request:

curl "https://controller-host:8001/api/v2/entitlements/profile" \
	-X GET \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Download the entitlements profile from the installation directory of the host.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

GET /api/v2/entitlements/profile

Returns

Returns the entitlements profile used when requesting a license from Language Weaver

In this page
Back to top